Skip to main content
GET
/
organizations
/
{organizationId}
/
role-templates
Get role templates
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/role-templates \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "Deployment_Viewer",
    "permissions": [
      "deployment.get"
    ],
    "scopeType": "DEPLOYMENT",
    "description": "Subject can only view deployments."
  }
]

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The Organization's ID.

Query Parameters

scopeTypes
enum<string>[]

Filter role templates based on the scope of permissions they include.

Available options:
DEPLOYMENT,
WORKSPACE,
ORGANIZATION,
DAG

Response

OK

name
string
required

The role's name.

Example:

"Deployment_Viewer"

permissions
string[]
required

The role's permissions.

Example:
["deployment.get"]
scopeType
enum<string>
required

The role's scope.

Available options:
DEPLOYMENT,
WORKSPACE,
ORGANIZATION,
SYSTEM,
DAG
Example:

"DEPLOYMENT"

description
string

The role's description.

Example:

"Subject can only view deployments."